Hallo Gast

Acumulus module fout bij installeren met Prestashop 1.6

  • 19 Reacties
  • 15509 Gelezen
Acumulus module fout bij installeren met Prestashop 1.6
« Gepost op: 04 april, 2014, 11:45:38 »

Na het uploaden van het ZIP bestand krijg ik een error. Zie screenshot.

Als ik de lijst met modules refresh door op Modules te klikken geeft de Acumulus module ook nog een andere error, maar installeren doet hij niet.
Zie tweede screenshot.

Ik gebruik de 3.3.1 versie van de module en het nieuwe Prestashop 1.6

*

Guido

  • 2493
    • Bekijk profiel
Re: Acumulus module fout bij installeren met Prestashop 1.6
« Reactie #1 Gepost op: 04 april, 2014, 11:56:46 »
De module is niet getest in PrestaShop 1.6 omgevingen en de ontwikkelaar is momenteel een paar dagen op vakantie. Ik zal vragen of hij er naar wil kijken. Wellicht is het eenvoudig te verhelpen.

Als er een compleet nieuwe module gemaakt moet worden zul je iets meer geduld moeten hebben.

Re: Acumulus module fout bij installeren met Prestashop 1.6
« Reactie #2 Gepost op: 04 april, 2014, 12:22:05 »

Duidelijk. PS 1.6 is ook erg nieuw. Volgens mij gaat er iets fout bij het uploaden en verwerken van PS 1.6 van de module waardoor er bepaalde bestanden missen en hier door dus de tweede error ontstaat. We zijn zelf nog bezig met van alles configureren voordat we live gaan met 1.6. Maar de Acumulus koppeling is daarbij wel een voorwaarde. Zonder Acumulus module niet live ;-)

Re: Acumulus module fout bij installeren met Prestashop 1.6
« Reactie #3 Gepost op: 04 april, 2014, 19:51:14 »
Toch geeft de foutmelding aan dat het niet een PrestaShop melding is, maar een syntax error in een PHP bestand. Welke PHP versie gebruik je?


Re: Acumulus module fout bij installeren met Prestashop 1.6
« Reactie #4 Gepost op: 05 april, 2014, 09:11:26 »

Dat weet ik niet precies. Het is gehost en heb geen shell toegang...dan moet ik een PHP scriptje aanmaken. Maar wacht wel even op de developer. Ik merk meer problemen met installeren modules met PS 1.6 dus misschien ligt het aan PS 1.6.

*

Guido

  • 2493
    • Bekijk profiel
Re: Acumulus module fout bij installeren met Prestashop 1.6
« Reactie #5 Gepost op: 05 april, 2014, 09:52:04 »
Meestal is een script met daarin onderstaande regel al wel voldoende om de php versie op te vragen

  <?php phpinfo(); ?>

Gr,
Guido

Re: Acumulus module fout bij installeren met Prestashop 1.6
« Reactie #6 Gepost op: 05 april, 2014, 10:00:17 »
versie 5.2.13

Guido, wil je misschien al een topic aanmaken voor PS 1.6 ?
« Laatst bewerkt op: 05 april, 2014, 10:04:48 door Stylistics »

*

Guido

  • 2493
    • Bekijk profiel
Re: Acumulus module fout bij installeren met Prestashop 1.6
« Reactie #7 Gepost op: 05 april, 2014, 10:07:44 »
De ontwikkeling en support voor PHP 5.2 is al een tijd geleden door het PHP team stopgezet. De release is van 25 Feb 2010.

Ik vind het nog knap dat je zover gekomen bent  ;)

Misschien moet je eens aan je webhost vragen of ze een meer recente versie van PHP kunnen aanbieden. Dan kunnen we wellicht zien dat de module minder problemen geeft.


*

Guido

  • 2493
    • Bekijk profiel
Re: Acumulus module fout bij installeren met Prestashop 1.6
« Reactie #8 Gepost op: 05 april, 2014, 10:09:47 »
5.2 is End of Life : http://www.php.net/eol.php en volgens mij zijn er met de door jouw gebruikte versie security issues. Al zouden deze natuurlijk door jouw webhost gepatcht kunnen zijn zonder het versienummer op te hogen..

Re: Acumulus module fout bij installeren met Prestashop 1.6
« Reactie #9 Gepost op: 05 april, 2014, 10:21:33 »

Ik zit bij Flexwebhosting.
Wat suf dat die een EOL versie hun klanten laten gebruiken. Ik ga daar sowieso eens naar gaan vragen.
Maar goed, het hoeft nog niet de oorzaak te zijn van het probleem.

*

Guido

  • 2493
    • Bekijk profiel
Re: Acumulus module fout bij installeren met Prestashop 1.6
« Reactie #10 Gepost op: 05 april, 2014, 10:26:43 »
Het kan inderdaad totaal ongerelateerd zijn.  Onze eerste reflex zal zijn dat je toch eerst moet upgraden naar een nog ondersteund platform ;) Anders wordt support nagenoeg onmogelijk.

Succes met je webhost.

Re: Acumulus module fout bij installeren met Prestashop 1.6
« Reactie #11 Gepost op: 05 april, 2014, 10:39:19 »

Ik heb ze al gemaild. En dat op de zaterdagochtend ;-)
Wil jij dan iets aan voor Prestashop 1.6? Er zullen meerdere naar die versie over gaan.
Misschien dat anderen dan hier ook tegen aan lopen en ik alsnog ook op die manier een antwoord vind, mocht het niet aan de versie liggen.



Re: Acumulus module fout bij installeren met Prestashop 1.6
« Reactie #12 Gepost op: 05 april, 2014, 11:06:31 »
De module gaat volgende week getetst worden op 1.6. Maar de oorspronkelijke foutmelding komt toche cht doro het feit dat er nog onder PHP5.2 gedraaid wordt. Die kent nog geen namespaces, die deze koppeling wel gebruikt en dat levert T_STATIC fatals op. Dit wil natuurlijk niet zeggen dat de koppeling op 5.3 of hoger (5.5 is al een tijdje uit) wel met 1.6 werkt, dat ligt aan wat er in PS gewijzigd is, maar dat gaan we uitzoeken.


Re: Acumulus module fout bij installeren met Prestashop 1.6
« Reactie #13 Gepost op: 09 april, 2014, 16:43:03 »

Ik heb nieuwe informatie.

Ik heb op een andere ontwikkelserver wel een recente versie van PHP (5.5.9) het uploaden en installeren in PS 1.6 van de Acumulus module getest, en dat werkt gewoon.
Het lijkt daarmee inderdaad wel met alleen de PHP versie te maken te hebben.

(Flexwebhosting kan mij migreren naar een andere server met wel een updated versie van PHP. Dus dat moesten we maar een keertje doen).

Re: Acumulus module fout bij installeren met Prestashop 1.6
« Reactie #14 Gepost op: 14 april, 2014, 18:59:35 »
Ik heb deze module geupload naar Prestashop 1.6, maar hij komt niet voor in de lijst van modules. Enig idee?

Re: Acumulus module fout bij installeren met Prestashop 1.6
« Reactie #15 Gepost op: 14 april, 2014, 19:04:31 »
Bij mij doet hij het prima. En lag inderdaad aan de PHP versie.
Ik geloof dat we nu op php 5.4 draaien.
Is het proberen waard.

Re: Acumulus module fout bij installeren met Prestashop 1.6
« Reactie #16 Gepost op: 14 april, 2014, 19:10:06 »
Het punt is dat de hele module niet verschijnt in de backoffice van Presta. Ik voeg de module toe, maar kan hem vervolgens nergens vinden om te installeren en/of te configureren.

*

Guido

  • 2493
    • Bekijk profiel
Re: Acumulus module fout bij installeren met Prestashop 1.6
« Reactie #17 Gepost op: 14 april, 2014, 19:11:49 »
Het kan zijn dat de foutmelding die eerder door Stylistics gemeld is op jouw server onderdrukt wordt. Weet je welke versie van PHP je hebt?

Re: Acumulus module fout bij installeren met Prestashop 1.6
« Reactie #18 Gepost op: 14 april, 2014, 19:15:09 »
Ik draai PHP versie 5.3 op een CentOS VPS. Neem aan dat versie 5.3 voldoende is?

Re: Acumulus module fout bij installeren met Prestashop 1.6
« Reactie #19 Gepost op: 14 april, 2014, 20:08:55 »
Na handmatig met FTP uploaden werkt het wel. Desalniettemin vreemd. Ik vermoed dat het iets met permissies te maken heeft, ondanks dat ik het ook heb geprobeerd met 777 permissies.